ResponseExtractionMappingProperty Struct
Defines how to extract values from HTTP responses.
Example
ts
// The code below shows an example of how to instantiate this type.
// The values are placeholders you should change.
import { aws_glue as glue } from 'aws-cdk-lib';
const responseExtractionMappingProperty: glue.CfnConnectionType.ResponseExtractionMappingProperty = {
contentPath: 'contentPath',
headerKey: 'headerKey',
};
Properties
contentPathoptionalstringcontent_pathoptionalstrcontentPathoptionalStringContentPathoptionalstringContentPathoptional*string#A JSON path expression to extract a value from response body.
headerKeyoptionalstringheader_keyoptionalstrheaderKeyoptionalStringHeaderKeyoptionalstringHeaderKeyoptional*string#The name of an HTTP response header from which to extract the value.